%define module  PyQwt

Name:           python-qwt
Version:        5.2.0
Release:        %mkrel 4
Url:            http://pyqwt.sourceforge.net/
License:        GPLv2+
Group:          Development/Python
Summary:        Python bindings for Qwt (Qt Widgets for Technical applications)
Source0:        http://belnet.dl.sourceforge.net/sourceforge/pyqwt/%{module}-%{version}.tar.gz
Provides:       PyQwt = %{version}-%{release}
Requires:       python-qt4
Requires:       python-sip
Requires:       python-numpy
%py_requires -d
BuildRequires:  qwt5-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-qt4
BuildRequires:  python-sip

%description
Qwt is an extension to the Qt GUI library. The Qwt library contains
widgets and components which are primarily useful for technical and
scientific purposes. It includes a 2-D plotting widget, different
kinds of sliders, and much more.

PyQwt implements almost all of the functionality of the Qwt library.

%prep
%setup -q -n %{module}-%{version}

%build

cd configure
python configure.py %_smp_mflags \
--extra-cflags="%{optflags}" \
--extra-cxxflags="%{optflags}" \
--extra-lflags="%{?ldflags}" \
--extra-libs="python%{py_ver}" \
-I/usr/include/qwt \
--disable-numeric \
--disable-numarray

%make

%install
%makeinstall_std -C configure

%files
%doc README ANN* qt4examples
%{py_platsitedir}/*
%_datadir/sip/PyQt4/Qwt5/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.2.0-4.mga3
+ Revision: 379426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 barjac <barjac> 5.2.0-3.mga3
+ Revision: 321100
- changed BR qwt5-devel mga #8166

* Sun Nov 18 2012 fwang <fwang> 5.2.0-2.mga3
+ Revision: 319494
- br qwt5

* Fri Dec 30 2011 barjac <barjac> 5.2.0-1.mga2
+ Revision: 189139
- Cleaned, removed obsolete BRs, added missing include dir
- imported package python-qwt

